aiengine: XAieDma_ShimBd Struct Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieDma_ShimBd Struct Reference

This typedef contains all the attributes for the BD configuration. More...

## Data Fields
XAieDma_ShimBdLk | Lock
| Lock attributes for the BD. More...
XAieDma_ShimBdAxi | Axi
| AXI attributes for the BD. More...
u32 | AddrL
| Lower address (128-bit aligned) More...
u16 | AddrH
| Upper 16-bit base address bits. More...
u32 | Length
| Transfer length (in 32-bit words) More...
u8 | PktEn
| Add packet header to data. More...
u8 | PktType
| Packet type. More...
u8 | PktId
| ID value for the packet. More...
u8 | NextBdEn
| Continue with next BD after completion of current BD or stop. More...
u8 | NextBd
| Next BD to continue with. More...

## Detailed Description

This typedef contains all the attributes for the BD configuration.

## Field Documentation

u16 XAieDma_ShimBd::AddrH

Upper 16-bit base address bits.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetAddr(), and XAieDma_ShimBdWrite().

u32 XAieDma_ShimBd::AddrL

Lower address (128-bit aligned)

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetAddr(), and XAieDma_ShimBdWrite().

XAieDma_ShimBdAxi XAieDma_ShimBd::Axi

AXI attributes for the BD.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetAxi(), and XAieDma_ShimBdWrite().

u32 XAieDma_ShimBd::Length

Transfer length (in 32-bit words)

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetAddr(), and XAieDma_ShimBdWrite().

XAieDma_ShimBdLk XAieDma_ShimBd::Lock

Lock attributes for the BD.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetLock(), and XAieDma_ShimBdWrite().

u8 XAieDma_ShimBd::NextBd

Next BD to continue with.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetNext(), and XAieDma_ShimBdWrite().

u8 XAieDma_ShimBd::NextBdEn

Continue with next BD after completion of current BD or stop.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetNext(), and XAieDma_ShimBdWrite().

u8 XAieDma_ShimBd::PktEn

Add packet header to data.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetPkt(), and XAieDma_ShimBdWrite().

u8 XAieDma_ShimBd::PktId

ID value for the packet.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetPkt(), and XAieDma_ShimBdWrite().

u8 XAieDma_ShimBd::PktType

Packet type.

Referenced by XAieDma_ShimBdClear(), XAieDma_ShimBdSetPkt(), and XAieDma_ShimBdWrite().